#menu_overlay {
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 998;
    top: 0;
    right: 0;
    display: none;
}
#mobile_navbar {
    display: none;
    padding: 15px 40px 15px 0;
    width: 100%;
    background-color: $color1;
    position: fixed;
    top: 0;
    right: 0;
    z-index: 997;
    @include transitionStyle;
    span {
        cursor: pointer;
        i {
            font-size: 2.5rem;
            color: #e1e1e1;
        }
    }
}
nav.nav_menu {
    direction: rtl;
    padding: 20px;
    position: absolute;

    // desktop
    &.desktop_menu {
        // @include transitionStyle;
        padding: 2px;
        &.sticky {
            & .pure-menu-list:nth-of-type(1) {
                padding-right:65px;
            }
            position: fixed;
            left: 0;
            top: 0;
            background-color: $color1;
            z-index: 10;
            @include transitionStyle;
            a {
                margin-top: 0 !important;
                &.logo {
                    display: none;
                }
            }
        }
        .logo {
            width: 100px;
            // height: 80px;
            float: right;
            margin-right: 2rem;
            img {
                width: 100%;
                height: 100%;
            }
        }
        a:not(.logo) {
            padding: 15px 10px;
            margin-right: 30px;
            margin-top: 15px;
            color: $color2;
            position: relative;
            @include transitionStyle;
            &:hover {
                color: #fff;
            }
        }
        > ul:not(.login) {
            a:not(.logo) {
                overflow: hidden;
                &::after {
                    content: '';
                    position: absolute;
                    bottom: 5px;
                    right: -100%;
                    width: 100%;
                    height: 2px;
                    background-color: #e1e1e1;
                    @include transitionStyle;
                }
                &:hover::after {
                    right: 0px;
                }
            }
        }

        > ul.login {
            float: left;

            a {
                color: #a1a1a1;
            }
            a#register {
                padding: 15px;
                margin-right: 0;
            }
            a#login {
                padding: 15px;
                margin-left: 85px;
                margin-right: 0;
                // border-right: 1px solid #333;
                position: relative;
                &::after {
                    content: '';
                    width: 1px;
                    height: 20px;
                    position: absolute;
                    right: 0;
                    top: 18px;
                    background-color: #ccc;
                }
            }
        }
        & li.dropdown_list {
            position: relative;
            i {
                position: relative;
                top: 2px;
                right: 2px;
            }
            > ul {
                display: none;
                position: absolute;
                top:55px;
                right: 20px;
                margin: 0 !important;
                // margin-top: 10px !important;
                padding: 20px 5px !important;
                background-color: $color1;
                z-index: 9;
                > li {
                    > a {
                        margin-right: 0 !important;
                        &::after {
                            content: none !important;
                        }
                    }
                }
            }
            &:hover {
                > ul {
                    display: block;
                }
            }
        }
    }


    // mobile
    &.mobile_menu {
        &.open {
            right: 0;
        }
        position: fixed;
        min-width: 300px;
        height: 100%;
        right: -300px;
        top: 0;
        z-index: 999;
        overflow-y: auto;
        background-color: #fff;
        border: 5px solid $color1;
        @include transitionStyle;
        .logo {
            width: 120px;
            display: block;
            margin: auto;
            // height: 80px;
            img {
                width: 100%;
                height: 100%;
            }
        }
        ul {
            li {
                a {
                    display: block;
                    width: 100%;
                    padding: 10px 0;
                    text-align: center;
                    color: #666;
                    font-size: 1.6rem;
                    &:hover {
                        background-color: #efefef;
                    }
                }
            }
            .menu_padding_t {
                margin-top: 1rem;
                padding-top: 1rem;
                border-top: 1px solid #e1e1e1;
            }
        }
        & li.dropdown_list {
            i {
                position: relative;
                top: 2px;
                right: 2px;
            }
            > ul {
                display: none;
                top:50px;
                right: 20px;
                margin: 0 !important;
                // margin-top: 10px !important;
                padding: 15px 10px 10px !important;
                background-color: #efefef;
            }
        }
    }
}


@media only screen and (max-width: $tablet_l ) {
    #mobile_navbar {
        display: block;
    }
    nav.nav_menu {
        &.desktop_menu {
            display: none;
        }
    }
}
